# eric4.Plugins.WizardPlugins.MessageBoxWizard.MessageBoxWizardDialog

Module implementing the message box wizard dialog.

### Global Attributes

None

### Classes

MessageBoxWizardDialog | Class implementing the message box wizard dialog.

### Functions

None

## MessageBoxWizardDialog

Class implementing the message box wizard dialog.

It displays a dialog for entering the parameters for the QMessageBox code generator.

### Derived from

QDialog, Ui_MessageBoxWizardDialog

### Class Attributes

None

### Methods

MessageBoxWizardDialog | Constructor
__enabledGroups | Private method to enable/disable some group boxes.
__getQt40ButtonCode | Private method to generate the button code for Qt3 and Qt 4.0.
__getQt42ButtonCode | Private method to generate the button code for Qt 4.2.0.
__testQt40 | Private method to test the selected options for Qt3 and Qt 4.0.
__testQt42 | Private method to test the selected options for Qt 4.2.0.
getCode | Public method to get the source code.
on_bTest_clicked | Private method to test the selected options.
on_buttonBox_clicked | Private slot called by a button of the button box clicked.
on_cButton0_editTextChanged | Private slot to enable/disable the other button combos depending on its contents.
on_cButton1_editTextChanged | Private slot to enable/disable the other button combos depending on its contents.
on_cButton2_editTextChanged | Private slot to enable/disable the other button combos depending on its contents.
on_rAboutQt_toggled | Private slot to handle the toggled signal of the rAboutQt radio button.
on_rAbout_toggled | Private slot to handle the toggled signal of the rAbout radio button.
on_rQt42_toggled | Private slot to handle the toggled signal of the rQt42 radio button.

#### MessageBoxWizardDialog (Constructor)

MessageBoxWizardDialog(parent=None)

Constructor

parent
  parent widget (QWidget)

#### MessageBoxWizardDialog.__enabledGroups

__enabledGroups()

Private method to enable/disable some group boxes.

#### MessageBoxWizardDialog.__getQt40ButtonCode

__getQt40ButtonCode(istring)

Private method to generate the button code for Qt3 and Qt 4.0.

istring
  indentation string (string)

Returns:
  the button code (string)

#### MessageBoxWizardDialog.__getQt42ButtonCode

__getQt42ButtonCode(istring, indString)

Private method to generate the button code for Qt 4.2.0.

istring
  indentation string (string)
indString
  string used for indentation (space or tab) (string)

Returns:
  the button code (string)

#### MessageBoxWizardDialog.__testQt40

__testQt40()

Private method to test the selected options for Qt3 and Qt 4.0.

#### MessageBoxWizardDialog.__testQt42

__testQt42()

Private method to test the selected options for Qt 4.2.0.

#### MessageBoxWizardDialog.getCode

getCode(indLevel, indString)

Public method to get the source code.

indLevel
  indentation level (int)
indString
  string used for indentation (space or tab) (string)

Returns:
  generated code (string)

#### MessageBoxWizardDialog.on_bTest_clicked

on_bTest_clicked()

Private method to test the selected options.

#### MessageBoxWizardDialog.on_buttonBox_clicked

on_buttonBox_clicked(button)

Private slot called by a button of the button box clicked.

button
  button that was clicked (QAbstractButton)

#### MessageBoxWizardDialog.on_cButton0_editTextChanged

on_cButton0_editTextChanged(text)

Private slot to enable/disable the other button combos depending on its contents.

text
  the new text (QString)

#### MessageBoxWizardDialog.on_cButton1_editTextChanged

on_cButton1_editTextChanged(text)

Private slot to enable/disable the other button combos depending on its contents.

text
  the new text (QString)

#### MessageBoxWizardDialog.on_cButton2_editTextChanged

on_cButton2_editTextChanged(text)

Private slot to enable/disable the other button combos depending on its contents.

text
  the new text (QString)

#### MessageBoxWizardDialog.on_rAboutQt_toggled

on_rAboutQt_toggled(on)

Private slot to handle the toggled signal of the rAboutQt radio button.

on
  toggle state (boolean) (ignored)

#### MessageBoxWizardDialog.on_rAbout_toggled

on_rAbout_toggled(on)

Private slot to handle the toggled signal of the rAbout radio button.

on
  toggle state (boolean) (ignored)

#### MessageBoxWizardDialog.on_rQt42_toggled

on_rQt42_toggled(on)

Private slot to handle the toggled signal of the rQt42 radio button.

on
  toggle state (boolean) (ignored)

Up